﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Users</h2>

<table id="users" class="table table.bordered">
    <thead>
        <tr>
            <th>Id</th>
            <th>User Name</th>
            <th>Email</th>
            <th>Role</th>
            <th>Action</th>
        </tr>       
    </thead>
    <tbody>
        @foreach(var user in ViewBag.Users)
        {
            <tr>
                <td>@user.Id</td>
                <td>@user.Name</td>
                <td>@user.Email</td>
                <td>@user.Role</td>
                <td>
                    <a class="btn btn-primary" href="/admin/edit/@user.Id">Edit</a>
                </td>
            </tr>
        }
    </tbody>
</table>

<h2>Orders</h2>

<table class="table">
    <thead>
        <tr>
            <th>Order Id</th>
            <th>Car Id</th>
            <th>User</th>
            <th>Start Date</th>
            <th>End Date</th>
            <th>Total Price</th>
            <th>Created At</th>
            <th>Status</th>
        </tr>
    </thead>
    <tbody>
        @foreach(var order in ViewBag.Orders)
        {
            <tr>
                <td>@order.OrderId</td>
                <td>@order.CarId</td>
                <td>@order.UserId</td>
                <td>@order.StartDate</td>
                <td>@order.EndDate</td>
                <td>@order.TotalPrice</td>
                <td>@order.CreatedAt</td>
                
                 @if(order.IsReturned == true)
                 {
                      <td>Returned at: @order.ReturnedDate</td> 
                 }
                 else
                 {
                     <td> <a class="btn btn-primary" href="/admin/order/@order.OrderId">Return</a></td>
                 }
                
            </tr>
        }
    </tbody>
</table>

